# fdf_set_value

(PHP 4, PHP 5, PHP 7)

fdf_set_value — Set the value of a field

### Description

fdf_set_value ( resource `$fdf_document` , string `$fieldname` , mixed `$value` [, int `$isName` ] ) : bool

Sets the `value` for the given field.

### Parameters

`fdf_document`

  The FDF document handle, returned by fdf_create(), fdf_open() or fdf_open_string().

`fieldname`

  Name of the FDF field, as a string.

`value`

  This parameter will be stored as a string unless it is an array. In this case all array elements will be stored as a value array.

`isName`

  > Note:

  > In older versions of the FDF toolkit last parameter determined if the field value was to be converted to a PDF Name (= 1) or set to a PDF String (= 0).

  > The value is no longer used in the current toolkit version 5.0. For compatibility reasons it is still supported as an optional parameter beginning with PHP 4.3, but ignored internally.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Changelog

Version | Description
--- | ---
4.3.0 | Support for arrays in the `value` parameter was added.

### See Also

- fdf_get_value() - Get the value of a field
- fdf_remove_item() - Sets target frame for form